# Method: projects.locations.gateways.list

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.25/docs/reference/network-services/rest/v1/projects.locations.gateways/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.25/docs/reference/network-services/rest/v1/projects.locations.gateways/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-mesh/v1.25/docs/reference/network-services/rest/v1/projects.locations.gateways/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.25/docs/reference/network-services/rest/v1/projects.locations.gateways/list#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.25/docs/reference/network-services/rest/v1/projects.locations.gateways/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/service-mesh/v1.25/docs/reference/network-services/rest/v1/projects.locations.gateways/list#body.ListGatewaysResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.25/docs/reference/network-services/rest/v1/projects.locations.gateways/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-mesh/v1.25/docs/reference/network-services/rest/v1/projects.locations.gateways/list#try-it)

Lists Gateways in a given project and location.

### HTTP request

`GET https://networkservices.googleapis.com/v1/{parent=projects/*/locations/*}/gateways`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location from which the Gateways should be listed, specified in the format `projects/*/locations/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `networkservices.gateways.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of Gateways to return per call. |
| `pageToken` | `string` The value returned by the last `ListGatewaysResponse` Indicates that this is a continuation of a prior `gateways.list` call, and that the system should return the next page of data. |

### Request body

The request body must be empty.

### Response body

Response returned by the gateways.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "gateways": [ { object (`https://docs.cloud.google.com/service-mesh/v1.25/docs/reference/network-services/rest/v1/projects.locations.gateways#Gateway`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `gateways[]` | ``object (`https://docs.cloud.google.com/service-mesh/v1.25/docs/reference/network-services/rest/v1/projects.locations.gateways#Gateway`)`` List of Gateway resources. |
| `nextPageToken` | `string` If there might be more results than those appearing in this response, then `nextPageToken` is included. To get the next set of results, call this method again using the value of `nextPageToken` as `pageToken`. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).